Just nu i M3-nätverket
Jump to content

[löst] Linux Mint 16 och Canon LBP2900


Mikael63

Recommended Posts

(Postar exakt samma frågeställning i annat forum också, börjar bli lite akut...)

Har installerat Linux Mint 16 MATE åt min bror.
Han har en Canon LBP2900 och skulle behöva skriva ut några fakturor, att skicka till kund.
Det vill sig inte riktigt med installationen. Som måste göras via fjärranslutning.
Har googlat en del och kommer så småningom till samma sida, där det ska vara "solved" men det fungerar ändå inte.
Det verkar som att det är ett beroende som inte är tillfredsställt: gs-esp och den är "abandon" och verkar inte gå att få tag i.
Finns det någon lösning som fungerar? Alternativet finns att helt enkelt köpa en ny skrivare, som någon annan på nåt forum hade rekommenderat, men går det så går det..
Den "korta lösningen" finns här:
http://alvienuxs.wordpress.com/2013/12/05/how-to-install-printer-canon-lbp-2900-in-ubuntu-13-10/
Där är även länken till:
http://radu.cotescu.com/how-to-install-canon-lbp-printers-in-ubuntu/
och det finns även en del andra sidor rörande denne Radu Cotescu's lösningar men jag har inte kunnat läsa precis allt.

Följer jag "den korta lösningen" blir resultatet:

peter@peter-dator ~/Hämtningar/raducotescu-CanonCAPTdriver-c8ea9f9 $ sudo ./canonLBP_install.sh LBP2900

[sudo] password for peter:

Installing driver for model: LBP2900

using file: CNCUPSLBP2900CAPTK.ppd

Installing packages...

You do have the libstdc++6 package...

Väljer tidigare ej valt paket cndrvcups-common.

(Läser databasen ... 185626 filer och kataloger installerade.)

Packar upp cndrvcups-common (från .../cndrvcups-common_2.20-1_i386.deb) ...

dpkg: beroendeproblem förhindrar konfigurering av cndrvcups-common:

 cndrvcups-common är beroende av gs-esp, men:

  Paketet gs-esp är ej installerat.



dpkg: fel vid hantering av cndrvcups-common (--install):

 beroendeproblem - lämnar okonfigurerad

Fel uppstod vid hantering:

 cndrvcups-common

Väljer tidigare ej valt paket cndrvcups-capt.

(Läser databasen ... 185676 filer och kataloger installerade.)

Packar upp cndrvcups-capt (från .../cndrvcups-capt_2.20-1_i386.deb) ...

dpkg: beroendeproblem förhindrar konfigurering av cndrvcups-capt:

 cndrvcups-capt är beroende av cndrvcups-common (>= 2.20), men:

  Paketet cndrvcups-common har inte konfigurerats ännu.



dpkg: fel vid hantering av cndrvcups-capt (--install):

 beroendeproblem - lämnar okonfigurerad

Hanterar utlösare för ureadahead ...

Fel uppstod vid hantering:

 cndrvcups-capt

Modifying the default /etc/init.d/ccpd file...

Restarting CUPS...

 * Restarting Common Unix Printing System: cupsd                         [ OK ]

Setting the printer for CUPS...

Setting the printer for CAPT...



 CUPS_ConfigPath = /etc/cups/

 LOG Path        = None

 UI Port         = 59787



 Entry Num  : Spooler    : Backend    : FIFO path        : Device Path     : Status

 ----------------------------------------------------------------------------

     [0]    : LBP2900     :          :                     : /dev/usb/lp0 : Modified



Setting CAPT to boot with the system...

update-rc.d: warning: default stop runlevel arguments (0 1 6) do not match ccpd Default-Stop values (1)

 System start/stop links for /etc/init.d/ccpd already exist.

Starting ccpd...

 * Starting Canon Printer Daemon for CUPS: ccpd                          [ OK ]

Checking status:

Canon Printer Daemon for CUPS: ccpd: 3018 2998



Power on your printer!

Go to System - Administration - Printing and do the following:

  1. disable LBP2900-2 but do not delete it since Ubuntu will recreate it automatically;

  2. set LBP2900 as your default printer;

  3. reboot your machine and print a test page.

Script author:

    Radu Cotescu

    http://radu.cotescu.com

peter@peter-dator ~/Hämtningar/raducotescu-CanonCAPTdriver-c8ea9f9 $

 

Alltså en skapligt enkel lösning eller walkaround önskas - alternativt då rådet att skaffa annan skrivare, om det är enda möjligheten.

Link to comment
Share on other sites

Prova att installera skrivaren med CUPS.

 

Skriv localhost:631 i webläsarens adressfält. Du får då upp en sida där du kan lägga till och ta bort skrivare lite enklare än vad du beskrivit ovan.

Link to comment
Share on other sites

Prova att installera skrivaren med CUPS.

 

Skriv localhost:631 i webläsarens adressfält. Du får då upp en sida där du kan lägga till och ta bort skrivare lite enklare än vad du beskrivit ovan.

 

Tack för input!

Har prövat en hel del åtgärder efter jag postade inlägget.

Resultatet är dock ännu okänt. Jag kör detta fjärransluten och skrivaren skulle visst vara avstängd under installationen.

Återkopplar mer om detta när jag sett resultatet.

 

Testar ditt förslag senare.

Link to comment
Share on other sites

Om man kör installationen enligt första länken i inlägg #1 så får man felmeddelande, enligt inlägg #1.

 

Om man laddar hem nyare drivers, v2.60, från Canons hemsida och följer den medföljande dokumentationen får man ett annat felmeddelande, på ett annat steg.

 

Jag testade då att på nytt köra installationsskriptet enligt inlägg #1 igen men nu i stället med de .deb från Canons v2.60, omdöpta för att passa skriptet.

Skriptet körs utan felmeddelanden, skrivaren finns där men utskrifterna skrivs inte ut.

Misstaget jag gjorde var att låta skrivaren vara igång under installationen.

Nu räckte det med att starta om skrivaren för att det hela skulle fungera.

 

Edit: Efter omstart av datorn krånglade det hela igen. Fick testa avinstallera, installera igen osv.

Men NoWin's

 

Prova att installera skrivaren med CUPS.

 

Skriv localhost:631 i webläsarens adressfält. Du får då upp en sida där du kan lägga till och ta bort skrivare lite enklare än vad du beskrivit ovan.

fungerade och bör vara med här, i bästa svar.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.



×
×
  • Create New...